Debian GNU/Linux

Change log for “flashplugin-nonfree” package in Debian

123 of 23 results
Published in jessie-release on 2013-12-19
Published in sid-release on 2013-12-09
flashplugin-nonfree (1:3.4) unstable; urgency=low


  * Removed option nosse2.
  * Remove old extra files with checksums verifications before installing new
    extra files.  Closes: #729404.
  * Write errors and warnings to stderr instead of stdout.
  * Updated Suggests from ttf-dejavu to fonts-dejavu.  Closes: #725680.
  * get-upstream-version.pl: Save webpage in /var/cache/flashplugin-nonfree/
    for debugging if reading version fails.  Closes: #730047.

 -- Bart Martens <email address hidden>  Sun, 08 Dec 2013 07:12:41 +0100
Superseded in jessie-release on 2013-12-19
Superseded in sid-release on 2013-12-09
flashplugin-nonfree (1:3.3) unstable; urgency=low


  * get-upstream-version.pl: Support different returned webpages.
  * debian/rules: Upload checksum files per version.
  * update-flashplugin-nonfree: Use checksum file per version.
  * get-upstream-version.pl: Added option "nosse2". 
  * update-flashplugin-nonfree: Suggest "--nosse2" on hardware without sse2.
  * update-flashplugin-nonfree: Added option "--nosse2". 
    Closes: #701957, #697339, #696408.

 -- Bart Martens <email address hidden>  Sun, 06 Oct 2013 07:02:54 +0000
Deleted in experimental-release (Reason: None provided.)
flashplugin-nonfree (1:3.2.1) experimental; urgency=low


  * update-flashplugin-nonfree: Additionally first try using checksums files
    per Flash Player version.  Prerequisite for selecting an older Flash Player
    to address the sse2 issue.  See: #701957, #696408, #697339.

 -- Bart Martens <email address hidden>  Sat, 02 Mar 2013 11:17:04 +0000
Published in squeeze-release on 2013-02-23
flashplugin-nonfree (1:2.8.2+squeeze1) stable; urgency=low


  * update-flashplugin-nonfree: Added use of "gpg --verify" to notice files
    without signature.  Thanks to Ansgar Burchardt for reporting the security
    issue (via private e-mail on 13 Dec 2012).

 -- Bart Martens <email address hidden>  Fri, 14 Dec 2012 19:03:40 +0100
Superseded in jessie-release on 2013-10-17
Published in wheezy-release on 2012-12-25
Superseded in sid-release on 2013-10-06
flashplugin-nonfree (1:3.2) unstable; urgency=low


  * update-flashplugin-nonfree: Added use of "gpg --verify" to notice files
    without signature.  Thanks to Ansgar Burchardt for reporting the security
    issue (via private e-mail on 13 Dec 2012).
  * get-upstream-version.pl: Added validation of link to flash.
    Thanks to Henrik Ahlgren for reporting the security issue (on
    debian-security on 12 Dec 2012).
  * debian/postinst: Added removal of cached get-upstream-version.pl so that a
    fresh copy is downloaded.

 -- Bart Martens <email address hidden>  Thu, 13 Dec 2012 17:45:13 +0000
Superseded in wheezy-release on 2012-12-25
Superseded in sid-release on 2012-12-14
flashplugin-nonfree (1:3.1) unstable; urgency=low


  * get-upstream-version.pl: Added error handling with "failed to read $url".
  * get-upstream-version.pl: Less hard-coded with $link_to_flash.
  * update-flashplugin-nonfree: Write errors to stderr (>&2).
  * update-flashplugin-nonfree: Better error handling for get_upstream_version.
  * update-flashplugin-nonfree: Use "perl get-upstream-version.pl ...".
    Closes: #687416.

 -- Bart Martens <email address hidden>  Fri, 14 Sep 2012 17:36:16 +0000
1:3
Superseded in sid-release on 2012-09-15
flashplugin-nonfree (1:3) unstable; urgency=low


  * Only install if installed and upstream Adobe Flash Version differ.
    + get-upstream-version.pl: Added in source package.
    + debian/rules: Added rule publish-version-script.
    + update-flashplugin-nonfree: Added use of get-upstream-version.pl.
  * Install and remove flash-player-properties and related files.
    Closes: #630223.
    + debian/dirs: Added directories.
    + update-flashplugin-nonfree: Install and remove the extra files.
  * Additionally show version available upstream when using --status.

 -- Bart Martens <email address hidden>  Sat, 08 Sep 2012 12:22:00 +0000
Superseded in sid-release on 2012-09-08
flashplugin-nonfree (1:2.8.6) unstable; urgency=low


  * debian/control: Suggests: hal.  Closes: #682370.

 -- Bart Martens <email address hidden>  Sun, 22 Jul 2012 08:56:48 +0000
Superseded in wheezy-release on 2012-11-16
Superseded in sid-release on 2012-07-22
flashplugin-nonfree (1:2.8.5) unstable; urgency=low


  * debian/control: Update the dependencies: libnspr4-0d -> libnspr4,
    libnss3-1d -> libnss3.  Closes: #678637.

 -- Bart Martens <email address hidden>  Sat, 23 Jun 2012 13:23:10 +0000
Superseded in wheezy-release on 2012-07-04
Superseded in sid-release on 2012-06-23
flashplugin-nonfree (1:2.8.4) unstable; urgency=low


  * Switch to dpkg-source 3.0 (native) format, debhelper 9, no cdbs.
  * update-flashplugin-nonfree: Trap signal INT.  Closes: #617275.
  * update-flashplugin-nonfree: Added wget option "-O $UNPACKDIR/$downloadfile"
    to change message "Saving to: ..." Closes: #630139.
  * debian/control: Removed Suggests: x-ttcidfont-conf.  Closes: #660046.  Also
    replaced msttcorefonts by ttf-mscorefonts-installer, and added [i386] to
    Suggests: flashplugin-nonfree-extrasound.
  * debian/control: Depends: binutils, for /usr/bin/strings.
  * update-flashplugin-nonfree: Added option --status.  Closes: #654670.

 -- Bart Martens <email address hidden>  Wed, 23 May 2012 19:32:48 +0000
Superseded in wheezy-release on 2012-06-05
Superseded in sid-release on 2012-05-26
flashplugin-nonfree (1:2.8.3) unstable; urgency=low
  * Depends: libgtk2.0-0 (>= 2.14).  Closes: #598390.  * Added README pointing to the wiki page.  Closes: #608079. -- Bart Martens <email address hidden>  Fri, 24 Dec 2010 19:01:13 +0000
Superseded in squeeze-release on 2013-02-23
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.8.2) unstable; urgency=low


  * Removed "64 bit player temporarily not supported".  Closes: #586273.
  * Reduced debian/reportbug/script.  Closes: #591821.

 -- Bart Martens <email address hidden>  Fri, 17 Sep 2010 20:40:58 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.8.1) unstable; urgency=low


  * Added message "64 bit player temporarily not supported".  Closes: #585408.
  * Point to http://wiki.debian.org/FlashPlayer in error messages.

 -- Bart Martens <email address hidden>  Thu, 17 Jun 2010 18:13:27 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.8) unstable; urgency=low


  * Replaced my gpg key.
  * Replaced md5sum by sha512sum.  Closes: #545241.
  * Display the Flash Player version in verbose mode.  Closes: #543654.

 -- Bart Martens <email address hidden>  Wed, 09 Sep 2009 19:15:33 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.7) unstable; urgency=low


  * debian/control: Added "Conflicts: libflash-mozplugin".  Closes: #537120.
  * debian/control: Removed "Suggests: xfs (>= 1:1.0.1-5)".  Closes: #532853.

 -- Bart Martens <email address hidden>  Wed, 05 Aug 2009 13:04:25 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.6) unstable; urgency=low


  * Set HOME=/root when using wget.  Closes: #523984.
  * Switch to "status is auto" when "link currently absent".  Closes: #520678.
  * debian/control: Standards-Version.

 -- Bart Martens <email address hidden>  Thu, 16 Apr 2009 20:00:11 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.5) unstable; urgency=low


  * debian/control: Depends: libcurl3-gnutls. Closes: #509235.
  * debian/reportbug/script: Updated to show some more information (ls, file,
    ldd, dpkg-query).
  * debian/control: Fixed debhelper-but-no-misc-depends.
  * debian/control: Fixed package-depends-on-hardcoded-libc.

 -- Bart Martens <email address hidden>  Sat, 07 Feb 2009 12:10:42 +0100
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.4) unstable; urgency=low


  * Removed flashplugin-nonfree-pulse from Suggests.
  * Removed dependencies' dependencies from Depends.

 -- Bart Martens <email address hidden>  Sun, 04 Jan 2009 07:57:36 +0100
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.3) unstable; urgency=low


  * Removed libxcb-xlib0 from Depends.  Closes: #509431.
  * Added flashplugin-nonfree-extrasound and flashplugin-nonfree-pulse
    to Suggests.  Closes: #510448.
  * update-flashplugin-nonfree, debian/update-flashplugin-nonfree.8: Documented
    options --verbose and --quiet.  Closes: #510194.
  * debian/reportbug/script: Added.

 -- Bart Martens <email address hidden>  Sat, 03 Jan 2009 20:08:41 +0100
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.2) unstable; urgency=low


  * update-flashplugin-nonfree: Replace "uname -m"
    by "dpkg --print-architecture".  Closes: #508918, #508888.
  * update-flashplugin-nonfree: Use "LANG=C" before parsing output
    of update-alternatives --display.  Closes: #508905.

 -- Bart Martens <email address hidden>  Tue, 16 Dec 2008 19:20:25 +0100
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:2.1) unstable; urgency=low


  * Moving to unstable.
  * update-flashplugin-nonfree: Added a message about update-alternatives.
  * Closes: #501029, #500710, #502859, #508212, #499621, #508241, #508253.
  * Closes: #506134, #497385.

 -- Bart Martens <email address hidden>  Sun, 14 Dec 2008 21:15:48 +0100
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:1.8.1) unstable; urgency=low


  * Moving to unstable.  Closes: #501110, #503689, #507707, #508036.
  * update-flashplugin-nonfree: Tuned wget options.  Closes: #499388, #504993.

 -- Bart Martens <email address hidden>  Sun, 07 Dec 2008 13:44:05 +0100
Superseded in sid-release on 2011-09-20
flashplugin-nonfree (1:1.7.2) unstable; urgency=low


  * Edited update-flashplugin-nonfree to add the use of update-alternatives,
    removed debian/links.amd64 and debian/links.i386, edited debian/rules to
    remove the creation and deletion of debian/links, edited debian/dirs to
    remove obsolete browser plugin directories.  Closes: #494266.

 -- Bart Martens <email address hidden>  Mon, 01 Sep 2008 18:53:07 +0200
123 of 23 results